Tasks
Update tasks
Updates one of the calling user’s tasks. Send only the fields to change. Changing due_at reschedules the task’s overdue reminder. Returns 400 with validation errors, and 404 when the task does not belong to the calling user or a contact_id is not accessible to the caller. Requires a company admin or rep token tied to a user; admin users need the users update permission.
PATCH
/
api
/
tasks
/
{id}
Update tasks
curl --request PATCH \
--url https://api.fluid.app/api/tasks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"task": {
"body": "Call Holly Flax to confirm the Nashua paper order",
"due_at": "2026-09-25T15:00:00Z"
}
}
'import requests
url = "https://api.fluid.app/api/tasks/{id}"
payload = { "task": {
"body": "Call Holly Flax to confirm the Nashua paper order",
"due_at": "2026-09-25T15:00:00Z"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
task: {
body: JSON.stringify('Call Holly Flax to confirm the Nashua paper order'),
due_at: '2026-09-25T15:00:00Z'
}
})
};
fetch('https://api.fluid.app/api/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/tasks/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'task' => [
'body' => 'Call Holly Flax to confirm the Nashua paper order',
'due_at' => '2026-09-25T15:00:00Z'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/tasks/{id}"
payload := strings.NewReader("{\n \"task\": {\n \"body\": \"Call Holly Flax to confirm the Nashua paper order\",\n \"due_at\": \"2026-09-25T15:00:00Z\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.fluid.app/api/tasks/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"task\": {\n \"body\": \"Call Holly Flax to confirm the Nashua paper order\",\n \"due_at\": \"2026-09-25T15:00:00Z\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/tasks/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"task\": {\n \"body\": \"Call Holly Flax to confirm the Nashua paper order\",\n \"due_at\": \"2026-09-25T15:00:00Z\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": 15522,
"body": "Call Holly Flax to confirm the Nashua paper order",
"due_at": "2026-09-25T15:00:00Z",
"completed_at": null,
"created_at": "2026-09-18T14:05:22Z",
"contact": {
"id": 48213,
"token": "pX7kQ2mR9vTzL4nB8cWfJ3hY",
"first_name": "Holly",
"last_name": "Flax",
"avatar_url": null,
"status": "new",
"email": "holly.flax@gmail.com",
"email2": null,
"phone": "+15705550142",
"phone2": null,
"phone_id": null,
"address": "300 Kellum Court",
"address2": null,
"city": "Scranton",
"state": "PA",
"postal_code": "18505",
"language_id": 1,
"country_id": 214,
"lead_type": null,
"ip": null,
"requested_at": null,
"best_time": null,
"time_zone": "America/New_York",
"reason": null,
"income": null,
"hours": null,
"invest": null,
"interest": null,
"full_name": "Holly Flax",
"discarded_at": null
}
}{
"message": "<string>"
}"<string>"Response
Success
A to-do task owned by a user, optionally about one of their contacts.
⌘I
Update tasks
curl --request PATCH \
--url https://api.fluid.app/api/tasks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"task": {
"body": "Call Holly Flax to confirm the Nashua paper order",
"due_at": "2026-09-25T15:00:00Z"
}
}
'import requests
url = "https://api.fluid.app/api/tasks/{id}"
payload = { "task": {
"body": "Call Holly Flax to confirm the Nashua paper order",
"due_at": "2026-09-25T15:00:00Z"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
task: {
body: JSON.stringify('Call Holly Flax to confirm the Nashua paper order'),
due_at: '2026-09-25T15:00:00Z'
}
})
};
fetch('https://api.fluid.app/api/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/tasks/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'task' => [
'body' => 'Call Holly Flax to confirm the Nashua paper order',
'due_at' => '2026-09-25T15:00:00Z'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/tasks/{id}"
payload := strings.NewReader("{\n \"task\": {\n \"body\": \"Call Holly Flax to confirm the Nashua paper order\",\n \"due_at\": \"2026-09-25T15:00:00Z\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.fluid.app/api/tasks/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"task\": {\n \"body\": \"Call Holly Flax to confirm the Nashua paper order\",\n \"due_at\": \"2026-09-25T15:00:00Z\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/tasks/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"task\": {\n \"body\": \"Call Holly Flax to confirm the Nashua paper order\",\n \"due_at\": \"2026-09-25T15:00:00Z\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": 15522,
"body": "Call Holly Flax to confirm the Nashua paper order",
"due_at": "2026-09-25T15:00:00Z",
"completed_at": null,
"created_at": "2026-09-18T14:05:22Z",
"contact": {
"id": 48213,
"token": "pX7kQ2mR9vTzL4nB8cWfJ3hY",
"first_name": "Holly",
"last_name": "Flax",
"avatar_url": null,
"status": "new",
"email": "holly.flax@gmail.com",
"email2": null,
"phone": "+15705550142",
"phone2": null,
"phone_id": null,
"address": "300 Kellum Court",
"address2": null,
"city": "Scranton",
"state": "PA",
"postal_code": "18505",
"language_id": 1,
"country_id": 214,
"lead_type": null,
"ip": null,
"requested_at": null,
"best_time": null,
"time_zone": "America/New_York",
"reason": null,
"income": null,
"hours": null,
"invest": null,
"interest": null,
"full_name": "Holly Flax",
"discarded_at": null
}
}{
"message": "<string>"
}"<string>"